SeqParSib {sequoia} | R Documentation

## Fortran wrapper for pedigree reconstruction

### Description

Call main Fortran part of sequoia, and convert its output to a list with dataframes.

### Usage

    SeqParSib(ParSib = "par", Specs = NULL, GenoM = NULL, LhIN = NULL,
      AgePriors = NULL, Parents = NULL, quiet = FALSE)

### Arguments

`ParSib` | either "par" to call parentage assignment, or "sib" to call the rest of the algorithm.
`Specs` | a named vector with parameter values, as generated by `SeqPrep`.
`GenoM` | matrix with genotype data, size nInd x nSnp
`LhIN` | life history data: ID - sex - birth year
`AgePriors` | matrix with agepriors, size Specs["nAgeClasses"] by 8.
`Parents` | matrix with rownumbers of assigned parents, size nInd by 2
`quiet` | suppress messages

### Value

A list with

`PedigreePar or Pedigree` | the pedigree
`MaybeParent or MaybeRel` | Non-assigned likely relatives
`MaybeTrio` | Non-assigned parent-parent-offspring trios
`DummyIDs` | Info on dummies
`TotLikParents or TotLikSib` | Total log-likelihood per iteration

For a detailed description of the output see `sequoia`

[Package sequoia version 1.3.3 Index]